systemd-fsckd[232]: Couldn't connect to plymouth: Connection refused

Bug #1429171 reported by dino99
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
systemd (Ubuntu)
Fix Released
Low
Didier Roche

Bug Description

get that error logged many times into journalctl on that vivid booting with systemd-sysv

ProblemType: Bug
DistroRelease: Ubuntu 15.04
Package: systemd 219-4ubuntu3
ProcVersionSignature: Ubuntu 3.19.0-7.7-generic 3.19.0
Uname: Linux 3.19.0-7-generic i686
NonfreeKernelModules: nvidia
ApportVersion: 2.16.2-0ubuntu1
Architecture: i386
CurrentDesktop: GNOME
Date: Fri Mar 6 16:11:58 2015
Lsusb:
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 003 Device 002: ID 046d:c50e Logitech, Inc. Cordless Mouse Receiver
 Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
MachineType: ASUSTEK COMPUTER INC P5W DH Deluxe
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.19.0-7-generic root=UUID=7b1f4a51-558f-468f-85e0-f815d2f791e1 ro
SourcePackage: systemd
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 07/22/2010
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 3002
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: P5W DH Deluxe
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: Rev 1.xx
dmi.chassis.asset.tag: Asset-1234567890
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr3002:bd07/22/2010:svnASUSTEKCOMPUTERINC:pnP5WDHDeluxe:pvrSystemVersion:rvnASUSTeKComputerINC.:rnP5WDHDeluxe:rvrRev1.xx:cvnChassisManufacture:ct3:cvrChassisVersion:
dmi.product.name: P5W DH Deluxe
dmi.product.version: System Version
dmi.sys.vendor: ASUSTEK COMPUTER INC

Revision history for this message
dino99 (9d9) wrote :
Revision history for this message
Martin Pitt (pitti) wrote :

dino99, can you please do

  journalctl -ab > /tmp/journal.txt

and attach it here?

Didier, can you please have a look at this?

Changed in systemd (Ubuntu):
assignee: nobody → Didier Roche (didrocks)
Revision history for this message
dino99 (9d9) wrote :

that systemd-fsck have appeared after having upgraded an other vivid installation (64 bits) on its own partition, sharing the swap partition but not /home.
Booting back on that vivid 32 bits, systemd-fschk was ran and terminated as expected, excepted for that plymouth error.

Revision history for this message
dino99 (9d9) wrote :

note2: as fschk has not been used since that error, this error has not then been seen indeed. But i suppose there is an issue connecting to plymouth in such a case.

Revision history for this message
Didier Roche (didrocks) wrote :

dino99: I guess plymouth wasn't running for you when fsck started, right?

I conditioned the fact that the messages are sent to plymouth if the pid file is present (see http://lists.freedesktop.org/archives/systemd-devel/2015-March/029174.html)

Changed in systemd (Ubuntu):
status: New → In Progress
importance: Undecided → Low
Revision history for this message
dino99 (9d9) wrote :

@Didier

this is a vivid i386 with a gnome-shell session; so i suppose that plymouth is always used while logging (as expected by default, but i admit i rarely care about it as that process is quite hidden for user) and i suppose it is deactivated when the login is done.

now when i got that systemd-fsck i cant tell if plymouth was already activated or not yet. That 'connection refused' looks unecpected when fsck is ran as that job is done way before login time, so plymouth should not be disturbing it.

Revision history for this message
Martin Pitt (pitti) wrote :

@dino99: As I said on the other bug: please stop running your machines with "debug" and getting scared by debug messages :-) (that's another one)

Revision history for this message
dino99 (9d9) wrote :

@Martin

as i remember, 'debug' was not used when that issue was seen

Revision history for this message
dino99 (9d9) wrote :

Seems related to that issue:

ubuntu-gnome-default-settings (15.04.3) vivid; urgency=medium

  * Add fsck report and cancel support with systemd to the logo theme
    (LP: #1425434)

 -- Didier Roche <email address hidden> Wed, 25 Feb 2015 10:14:50 +0100

Didier Roche (didrocks)
Changed in systemd (Ubuntu):
status: In Progress → Fix Committed
Revision history for this message
dino99 (9d9) wrote :

Feedback

after having made a few upgrades on utopic/vivid64, when i came back booting vivid32, i got this logged again into journalctl:

systemd-fsck[507]: lhom: Superblock last write time is in the future.
systemd-fsck[507]: (by less than a day, probably due to the hardware clock being incorrectly set). FIXED.
systemd-fsckd[246]: Couldn't connect to plymouth: Connection refused

but except these lines logged, the fsck job was done as expected; so looks harmless.

Revision history for this message
dino99 (9d9) wrote :

Still not approved upstream ?

Today i got /home fsck'ed, and got that error logged ~100 times:

systemd[1]: Starting File System Check on /dev/disk/by-uuid/5d8d1ee...
systemd[1]: Started Copy rules generated while the root was ro.
systemd-fsck[499]: lhom has been mounted 35 times without being checked, check forced.
systemd-fsckd[235]: Couldn't connect to plymouth: Connection refused
....
....
systemd-fsckd[235]: Couldn't connect to plymouth: Connection refused
systemd-fsck[499]: lhom: 61728/9420800 files (13.0% non-contiguous), 11832540/18820785 blocks
systemd-fsckd[235]: Couldn't connect to plymouth: Connection refused

that is, the fsck process has terminated as expected (full fschk done), but plymouth should not be trying to connect while doing a fsck (maybe not easy to do as systemd have parallel tasks running)

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package systemd - 219-6ubuntu3

---------------
systemd (219-6ubuntu3) vivid; urgency=medium

  * Merge fixes from Debian experimental branch:
    - Fix display-managers autopkgtest race.
    - Enable timesyncd in virtual machines.
    - fsck, fsckd: Grab various fixes from upstream git. Amongst others, this
      suppresses "Couldn't connect to plymouth" errors if plymouth is not
      running. (LP: #1429171)
 -- Martin Pitt <email address hidden> Wed, 08 Apr 2015 16:50:28 +0200

Changed in systemd (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers